/* Start varibles */

:root {
  --main-color-gradient: linear-gradient(
    to left,
    #000000,
    #666666 70%
  );

  --white-color: #fff;
  --black-color: #000;
  --main-color: #16423C;
  --second-color: #6A9C89;
  --third-color: #E9EFEC;
  --four-color: #C4DAD2;
  --shdow-ligh-color: rgb(255, 255, 255,0.4);
  --shdow-dark-color: rgb(0, 0, 0, 0.25);


}

/* End varibles */


/* Start fonts */

@font-face {
  font-family: "arslan";
  src: url("../fonts/arslan.woff2") format("woff2");
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "GraphikArabic-Bold";
  src: url("../fonts/Graphik Arabic Bold.woff2") format("woff2");
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "GraphikArabic-Medium";
  src: url("../fonts/Graphik Arabic Medium.woff2") format("woff2");
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "GraphikArabic-Semibold";
  src: url("../fonts/GraphikArabic-Semibold.woff2") format("woff2");
  font-style: normal;
  font-display: swap;
}

/* End fonts */

/* Start Global rules */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  transition: 0.3s;
}

body {
  user-select: none;
  cursor: default;
  font-family: "GraphikArabic-Medium";
  scrollbar-width: none; /* Firefox */
  -ms-overflow-style: none; /* Internet Explorer 10+ */
  background-color: #fff;
  /* position: relative; */
    /* overflow-x: hidden; */

}


body > *:not(script) {
  flex-shrink: 0;
}

body > section.courses-home {
  flex: 1; /* يخلي محتوى الصفحة يتمدد وياخد المساحة الباقية */
}

/* Start special heading */


.special-heading {
  margin-bottom: 40px;
}

.special-heading h3 {
  text-align: center;
  position: relative;
  width: fit-content;
  margin: auto;
  font-family: "GraphikArabic-Bold";
  color: var(--main-color);
}

.special-heading h3::after {
  content: "";
  position: absolute;
  right: calc(100% + 10px);
  top: 50%;
  transform: translateY(-50%);
  width: 150px;
  height: 4px;
  border-radius: 20px;
background: linear-gradient(
  to left,
  rgba(0, 0, 0),
  rgba(102, 102, 102, 0.2)
);
}

.special-heading h3::before {
  content: "";
  position: absolute;
  left: calc(100% + 10px);
  top: 50%;
  transform: translateY(-50%);
  width: 150px;
  height: 4px;
  border-radius: 20px;
background: linear-gradient(
  to right,
  rgba(0, 0, 0),
  rgba(102, 102, 102, 0.2)
);
}

@media only screen and (max-width:767px) { 
  .special-heading h3::after , .special-heading h3::before {
    width: 100px;
  } 
}

@media only screen and (max-width:575px) {
  .special-heading h3::after {
    top: -15px;
    transform: translateX(calc(100% + 50px));
  }

  .special-heading h3::before {
    top: calc(100% + 15px) ;
    transform: translateX(calc(-100% - 50px));
  }
}

/* End special heading */
